package test;

import sweda.CONVECF;

public class SwedaTest {

	
	CONVECF dll = CONVECF.INSTANCE;
	
	
	public void abrirCupom(String cpf) throws Exception{
		System.out.println("Teste");
		int retorno = dll.ECF_AbreCupomMFD(cpf, "", "");
		System.out.println("Retorno = "+retorno);
	}
	public void venderItem(String codigo,String descricao,
			String valorUni,String quantidade,String aliquota) throws Exception{
		int retorno = dll.ECF_VendeItem(codigo, descricao, aliquota, "F", 
				quantidade, 2, valorUni, "0", "0000");
		System.out.println("Retorno = "+retorno);
	}
	public void iniciaFechamentoCupom() throws Exception{
		int retorno = dll.ECF_IniciaFechamentoCupom("D", "%", "0000");
		System.out.println("Retorno = "+retorno);
	}
	public void efetuaPagamento(String especie,String valor) throws Exception{
		System.out.println("Especie "+especie);
		System.out.println("Valor "+valor);
		int retorno = dll.ECF_EfetuaFormaPagamento(especie, valor);
		System.out.println("Retorno = "+retorno);
	}
	public void terminaFechamento(String msg) throws Exception{
		int retorno = dll.ECF_TerminaFechamentoCupom(msg);
		System.out.println("Retorno = "+retorno);
	}
	public void abrirPorta() throws Exception{
		int retorno = dll.ECF_AbrePortaSerial();
		System.out.println("Retorno = "+retorno);
		desligaJanela();
	}
	public void fechaPorta() throws Exception{
		dll.ECF_FechaPortaSerial();
	}
	public void leituraX() throws Exception{
		dll.ECF_LeituraX();
	}
	public String retornos() throws Exception{
		byte[] numeroS = new byte[20];
		
		dll.ECF_NumeroSerieMFD(numeroS);
		System.out.println(new String(numeroS));

		byte[] cnpj = new byte[18];
		byte[] ie = new byte[15];
		dll.ECF_CGC_IE(cnpj, ie);
		System.out.println(new String(cnpj)+" "+new String(ie));

		
		byte[] data = new byte[6];
		byte[] hora = new byte[6];
		dll.ECF_DataHoraImpressora(data, hora);
		System.out.println(new String(data)+" "+new String(hora));
		
		String result = "Numero Serie : "+new String(numeroS)+"\n";
		result += "CNPJ : "+new String(cnpj)+"\n";
		result += "Data Hora: "+new String(data)+" "+new String(hora)+"\n";
		return result ;
	}
	public void cancelaCupom() throws Exception{
		int retorno = dll.ECF_CancelaCupom();
		System.out.println("Retorno = "+retorno);
	}
	public void desligaJanela(){
		dll.ECF_LigaDesligaJanelas("0", "0");
	}
}
